ketai.net.nfc.record

## Class SmartPoster

- java.lang.Object
- - ketai.net.nfc.record.SmartPoster

- All Implemented Interfaces:
    ParsedNdefRecord

      public class SmartPoster
      extends java.lang.Object
      implements ParsedNdefRecord

  A representation of an NFC Forum "Smart Poster".

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTag()` Returns the tag.
    `TextRecord` | `getTitle()` Returns the title of the smart poster.
    `UriRecord` | `getUriRecord()` Gets the uri record.
    `static boolean` | `isPoster(android.nfc.NdefRecord record)` Checks if is poster.
    `static SmartPoster` | `parse(android.nfc.NdefRecord record)` Parses the.
    `static SmartPoster` | `parse(android.nfc.NdefRecord[] recordsRaw)` Parses the.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getUriRecord

          public UriRecord getUriRecord()

      Gets the uri record.
      Returns:
        the uri record

    - #### getTitle

          public TextRecord getTitle()

      Returns the title of the smart poster. This may be `null`.
      Returns:
        the title

    - #### parse

          public static SmartPoster parse(android.nfc.NdefRecord record)

      Parses the.
      Parameters:
        `record` - the record
      Returns:
        the smart poster

    - #### parse

          public static SmartPoster parse(android.nfc.NdefRecord[] recordsRaw)

      Parses the.
      Parameters:
        `recordsRaw` - the records raw
      Returns:
        the smart poster

    - #### isPoster

          public static boolean isPoster(android.nfc.NdefRecord record)

      Checks if is poster.
      Parameters:
        `record` - the record
      Returns:
        true, if is poster

    - #### getTag

          public java.lang.String getTag()

      Description copied from interface: `ParsedNdefRecord`
      Returns the tag.
      Specified by:
        `getTag` in interface `ParsedNdefRecord`
      Returns:
        the tag